/*
 * Name: EquationBest
 * Description: Solves a quadratical equation
 * Author: Juan Gomez Romero
 * Version: 1.0
 * Creation: October 13, 2009
 * Modification: October 13, 2009
 */

import java.util.*;

public class EquationBest {
	
	public static void main(String[] args) {
			
		/* Read values from the keyboard */
		double a = 0, 
			   b = 0, 
			   c = 0;
		try {
			Scanner sc = new Scanner(System.in);
			System.out.print("a? ");
			a = sc.nextDouble();
			System.out.print("b? ");
			b = sc.nextDouble();
			System.out.print("c? ");
			c = sc.nextDouble();		
		} catch (InputMismatchException e) {
			System.out.println("[ERROR] Wrong number format.");
			System.exit(-1);			
		}
									
		/* Solve equation */
		// (if a is 0, this is not a second grade polynomial)
		if(a == 0) {			
			System.out.println("This is not a quadratic equation.");
			System.out.println("a value is 0.");
			
			// (if b is 0, this is not a polynomial)
			if(b == 0) {
				System.out.println("[ERROR] This is not an equation.");
				System.out.println("b value is 0.");	
			} else {
				double x1;
				x1 = -c / b;
				System.out.println("x --> " + x1);
			}
		
		} else {
		
			// (if discriminant is positive, real roots)
			// (otherwise, roots are complex)				
			double discriminant;
			discriminant = b*b - 4*a*c;

			double x1, x2;
			System.out.println("\nEquation: ");
			System.out.println(a + "x^2 + " + b + "x + " + c + " = 0");
			System.out.println();

			if(discriminant > 0) {
				x1 = (-b + Math.sqrt(discriminant)) / (2 * a);
				x2 = (-b - Math.sqrt(discriminant)) / (2 * a);
				System.out.println("Real roots");
				System.out.println("x1 --> " + x1);
				System.out.println("x2 --> " + x2);			
			} else {				
				double r, complex;
				r = -b / (2 * a);
				complex = Math.sqrt(4*a*c - b*b) / (2 * a);
				System.out.println("Complex roots");
				System.out.println("x1 --> " + r + " + " + complex + "i");
				System.out.println("x2 --> " + r + " - " + complex + "i");
			}
		}
	}
}
